InstantiatedTermDocumentInformation (Lucene 2.4.1 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedTermDocumentInformation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedTermDocumentInformation

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermDocumentInformation

All Implemented Interfaces:
  Serializable

    public class InstantiatedTermDocumentInformation

extends Object
implements Serializable

There is one instance of this class per indexed term in a document and it contains the meta data about each occurance of a term in a docment. It is the inner glue of the inverted index.

     [Term]-- {0..*} | {0..*} --(field)[Document]
                <<ordered>>
                     |
        [TermDocumentInformation]
           +payloads
           +termPositions
           +termOffsets

See Also:
  Serialized Form

Field Summary
`static Comparator<InstantiatedTermDocumentInformation>` | `documentNumberComparator`
`static Comparator` | `doumentNumberIntegerComparator`
`static Comparator<InstantiatedTermDocumentInformation>` | `termComparator`

Constructor Summary
`InstantiatedTermDocumentInformation(InstantiatedTerm term, InstantiatedDocument document, int[] termPositions, byte[][] payloads)`

Method Summary
`InstantiatedDocument` | `getDocument()`
`byte[][]` | `getPayloads()`
`InstantiatedTerm` | `getTerm()`
`TermVectorOffsetInfo[]` | `getTermOffsets()`
`int[]` | `getTermPositions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### termComparator

    public static final Comparator<InstantiatedTermDocumentInformation> termComparator

### documentNumberComparator

    public static final Comparator<InstantiatedTermDocumentInformation> documentNumberComparator

### doumentNumberIntegerComparator

    public static final Comparator doumentNumberIntegerComparator

Constructor Detail

### InstantiatedTermDocumentInformation

    public InstantiatedTermDocumentInformation(InstantiatedTerm term,
                                               InstantiatedDocument document,
                                               int[] termPositions,
                                               byte[][] payloads)

Method Detail

### getTermPositions

    public int[] getTermPositions()

### getPayloads

    public byte[][] getPayloads()

### getDocument

    public InstantiatedDocument getDocument()

### getTerm

    public InstantiatedTerm getTerm()

### getTermOffsets

    public TermVectorOffsetInfo[] getTermOffsets()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.